Payment Capture API
Request a direct debit payment from an enrolled account, or void / refund an approved payment.
Payment Capture
Execute a direct debit withdrawal from an enrolled account to capture payment.
API Information
POST/v1/api/pay/confirm
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/confirm운영
https://npay.settlebank.co.kr/v1/api/pay/confirmRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└trdAmtAN(13)Alphanumeric, up to 13 bytes*Payment amount.
Payment amount.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Debit bank code (bank code of the enrolled account).
Debit bank code (bank code of the enrolled account).
└custAcntKeyAN(50)Alphanumeric, up to 50 bytesAccount key — unique identifier for the enrolled direct debit account.
Account key — unique identifier for the enrolled direct debit account.
└splAmtN(13)Numeric, up to 13 bytesSupply amount (pre-tax amount).
Supply amount (pre-tax amount).
└vatN(13)Numeric, up to 13 bytesValue-added tax amount.
Value-added tax amount.
└svcAmtN(13)Numeric, up to 13 bytesService charge amount.
Service charge amount.
└pmtPrdtNmAN(100)Alphanumeric, up to 100 bytesProduct name (Korean: 3 bytes per character).
Product name (Korean: 3 bytes per character).
└custAcntSumryAN(30)Alphanumeric, up to 30 bytesBank statement descriptor (Korean: 3 bytes per character).
Bank statement descriptor (Korean: 3 bytes per character).
└csrcIssReqYnA(1)Alphabetic, up to 1 bytesCash receipt issuance flag.
Cash receipt issuance flag.
Y: Issue N: Do not issue└csrcIssPsblYnA(1)Alphabetic, up to 1 bytesCash receipt issuance eligibility flag.
Cash receipt issuance eligibility flag.
Y: Eligible N: Not eligible└taxTypeCdA(1)Alphabetic, up to 1 bytesTax exemption flag (required when csrcIssReqYn is Y).
Tax exemption flag (required when csrcIssReqYn is Y).
Y: Tax-exempt N: Taxable└csrcRegPrposYnN(1)Numeric, up to 1 bytesCash receipt purpose (required when csrcIssReqYn is Y).
Cash receipt purpose (required when csrcIssReqYn is Y).
0: Income deduction 1: Expense proof└csrcRegNoDivCdN(1)Numeric, up to 1 bytesCash receipt identifier type (required when csrcIssReqYn is Y).
Cash receipt identifier type (required when csrcIssReqYn is Y).
1: Card number 2: Resident registration number 3: Business registration number 4: Mobile phone number└csrcRegNoAN(20)Alphanumeric, up to 20 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Cash receipt identifier value (required when csrcIssReqYn is Y).Cash receipt identifier value (required when csrcIssReqYn is Y).
*Actual value corresponding to csrcRegNoDivCd
└rglPmtYnA(1)Alphabetic, up to 1 bytesRecurring billing flag — set to Y to issue a recurring billing key.
Recurring billing flag — set to Y to issue a recurring billing key.
Y N└rglEdDtAN(8)Alphanumeric, up to 8 bytesRecurring billing end date (yyyyMMdd).
Recurring billing end date (yyyyMMdd).
└addDdtTypeCdA(1)Alphabetic, up to 1 bytesAdditional deduction type.
Additional deduction type.
Y: Public transit C: Books and performance fees└cupDepositAmtN(13)Numeric, up to 13 bytesCup deposit amount (included in the transaction amount).
Cup deposit amount (included in the transaction amount).
└cmsCdAN(16)Alphanumeric, up to 16 bytesAdditional authentication unique number.
Additional authentication unique number.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtCustId + reqDt + reqTm + trdAmt (plaintext) + bankCd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number — use as the original transaction number when voiding.
STFP_FIRM12345678901234567890Transaction reference number — use as the original transaction number when voiding.
└trdAmtN(13)Numeric, up to 13 bytes*Debited transaction amount.
1000Debited transaction amount.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID201902210001Merchant order number.
└rglChrgKeyAN(32)Alphanumeric, up to 32 bytesRecurring billing key (issued when rglPmtYn is Y).
RGL_KEY_12345Recurring billing key (issued when rglPmtYn is Y).
└svcDivCdN(4)Numeric, up to 4 bytes*Service used for payment.
1Service used for payment.
1: Firm Banking└custAcntNoAN(15)Alphanumeric, up to 15 bytes*Account number (masked).
234**********123Account number (masked).
└macntNoAN(24)Alphanumeric, up to 24 bytes
AES-256AES-256/ECB/PKCS5PaddingMaster account number.Master account number.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
Need technical support?
Code Samples
HectoFinancial GitHub